## Script (Python) "spamProtect"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=mailaddress=None,size=None,link=False
##title=Returns a spam-protected mail address tag
##

email = mailaddress

# crypt email address
encoding = context.portal_properties.mail2image_properties.encoding
seed = context.portal_properties.mail2image_properties.seed
email = seed[::-1] + email + seed
email = email[::-1]
for c in encoding:
    email = email.encode(c)

# Use small font for events
if 'event_view' in context.REQUEST.other.get('URL',''):
    size = 'small'
    link = True

if size:
    out = '<img src="mail2image/%s/%s" alt="" />' % (email,size)
else:
    out = '<img src="mail2image/%s" alt="" />' % email

if link:
    out = ('<a href="contact/%s" border="0">' %email) + out + '</a>'

return out
